Subject: [PATCH rust-team 22/30] gnu: Add rust-gix-0.63.

From: Murilo <[email-masked]>
Date: Sun, 24 Nov 2024 23:48:33 -0300

* gnu/packages/crates-vcs.scm (rust-gix-0.63): New variable.

Change-Id: I25f88d48253549d0ee8327ef6205f158b65c2c89
---
 gnu/packages/crates-vcs.scm | 77 +++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/gnu/packages/crates-vcs.scm b/gnu/packages/crates-vcs.scm
index 0c19ae13d3..f06c006f02 100644
--- a/gnu/packages/crates-vcs.scm
+++ b/gnu/packages/crates-vcs.scm
@@ -702,6 +702,83 @@ (define-public rust-gix-0.64
         ("rust-serial-test" ,rust-serial-test-3)
         ("rust-walkdir" ,rust-walkdir-2))))))
 
+(define-public rust-gix-0.63
+  (package
+    (inherit rust-gix-0.66)
+    (name "rust-gix")
+    (version "0.63.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gix" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01jbkflpr570inbdjv1xgfsimqf6xfrr0yg6mlv4aypsmlc50k4q"))))
+    (arguments
+     `(#:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-document-features" ,rust-document-features-0.2)
+                       ("rust-gix-actor" ,rust-gix-actor-0.31)
+                       ("rust-gix-archive" ,rust-gix-archive-0.13)
+                       ("rust-gix-attributes" ,rust-gix-attributes-0.22)
+                       ("rust-gix-command" ,rust-gix-command-0.3)
+                       ("rust-gix-commitgraph" ,rust-gix-commitgraph-0.24)
+                       ("rust-gix-config" ,rust-gix-config-0.37)
+                       ("rust-gix-credentials" ,rust-gix-credentials-0.24)
+                       ("rust-gix-date" ,rust-gix-date-0.8)
+                       ("rust-gix-diff" ,rust-gix-diff-0.44)
+                       ("rust-gix-dir" ,rust-gix-dir-0.5)
+                       ("rust-gix-discover" ,rust-gix-discover-0.32)
+                       ("rust-gix-features" ,rust-gix-features-0.38)
+                       ("rust-gix-filter" ,rust-gix-filter-0.11)
+                       ("rust-gix-fs" ,rust-gix-fs-0.11)
+                       ("rust-gix-glob" ,rust-gix-glob-0.16)
+                       ("rust-gix-hash" ,rust-gix-hash-0.14)
+                       ("rust-gix-hashtable" ,rust-gix-hashtable-0.5)
+                       ("rust-gix-ignore" ,rust-gix-ignore-0.11)
+                       ("rust-gix-index" ,rust-gix-index-0.33)
+                       ("rust-gix-lock" ,rust-gix-lock-14)
+                       ("rust-gix-macros" ,rust-gix-macros-0.1)
+                       ("rust-gix-mailmap" ,rust-gix-mailmap-0.23)
+                       ("rust-gix-negotiate" ,rust-gix-negotiate-0.13)
+                       ("rust-gix-object" ,rust-gix-object-0.42)
+                       ("rust-gix-odb" ,rust-gix-odb-0.61)
+                       ("rust-gix-pack" ,rust-gix-pack-0.51)
+                       ("rust-gix-path" ,rust-gix-path-0.10)
+                       ("rust-gix-pathspec" ,rust-gix-pathspec-0.7)
+                       ("rust-gix-prompt" ,rust-gix-prompt-0.8)
+                       ("rust-gix-protocol" ,rust-gix-protocol-0.45)
+                       ("rust-gix-ref" ,rust-gix-ref-0.44)
+                       ("rust-gix-refspec" ,rust-gix-refspec-0.23)
+                       ("rust-gix-revision" ,rust-gix-revision-0.27)
+                       ("rust-gix-revwalk" ,rust-gix-revwalk-0.13)
+                       ("rust-gix-sec" ,rust-gix-sec-0.10)
+                       ("rust-gix-status" ,rust-gix-status-0.10)
+                       ("rust-gix-submodule" ,rust-gix-submodule-0.11)
+                       ("rust-gix-tempfile" ,rust-gix-tempfile-14)
+                       ("rust-gix-trace" ,rust-gix-trace-0.1)
+                       ("rust-gix-transport" ,rust-gix-transport-0.42)
+                       ("rust-gix-traverse" ,rust-gix-traverse-0.39)
+                       ("rust-gix-url" ,rust-gix-url-0.27)
+                       ("rust-gix-utils" ,rust-gix-utils-0.1)
+                       ("rust-gix-validate" ,rust-gix-validate-0.8)
+                       ("rust-gix-worktree" ,rust-gix-worktree-0.34)
+                       ("rust-gix-worktree-state" ,rust-gix-worktree-state-0.11)
+                       ("rust-gix-worktree-stream" ,rust-gix-worktree-stream-0.13)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-parking-lot" ,rust-parking-lot-0.12)
+                       ("rust-prodash" ,rust-prodash-28)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-signal-hook" ,rust-signal-hook-0.3)
+                       ("rust-smallvec" ,rust-smallvec-1)
+                       ("rust-thiserror" ,rust-thiserror-1))
+       #:cargo-development-inputs (("rust-anyhow" ,rust-anyhow-1)
+                                   ("rust-async-std" ,rust-async-std-1)
+                                   ("rust-is-ci" ,rust-is-ci-1)
+                                   ("rust-pretty-assertions" ,rust-pretty-assertions-1)
+                                   ("rust-serial-test" ,rust-serial-test-3)
+                                   ("rust-walkdir" ,rust-walkdir-2))))))
+
 (define-public rust-gix-0.57
   (package
     (inherit rust-gix-0.66)
-- 
2.46.0